[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

#### 4.18.5.4 Check Box

A check box's type is "Check Box".

#### Signals

Check boxes send the following signals.

`signalCheckBoxClicked`

  Generated when the check box's state changes (on to off or vice-versa).

#### Attributes

Check boxes publish the following attributes.

`Alpha`

  The alpha of the checkbox images.

`Align`

  Either ``cbAlignLeft'` or ``cbAlignRight'`. Aligns the icon and text.

`Caption`

  The caption (title) of the check box.

#### Skin Attributes

Check boxes support the following skin attributes.

`CheckBoxUp`

  The image drawn when the checkbox is unpressed.

`CheckBoxDn`

  The image drawn when the checkbox is pressed.

`CheckBoxOn`

  The image drawn over the checkbox when its state is "on".

`CheckBoxOff`

  The image drawn over the checkbox when its state is "off".

#### Properties

Check boxes publish the following properties.

`Caption`

  The caption (title) of the check box.

`State`

  Whether the component is "on" or "off". This property is read-only.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated using texi2html 1.76.